summaryrefslogtreecommitdiffstats
path: root/third_party/rust/num-bigint/ci/rustup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/num-bigint/ci/rustup.sh')
-rwxr-xr-xthird_party/rust/num-bigint/ci/rustup.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/third_party/rust/num-bigint/ci/rustup.sh b/third_party/rust/num-bigint/ci/rustup.sh
new file mode 100755
index 0000000000..c5aea794b5
--- /dev/null
+++ b/third_party/rust/num-bigint/ci/rustup.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Use rustup to locally run the same suite of tests as .travis.yml.
+# (You should first install/update all versions listed below.)
+
+set -ex
+
+export TRAVIS_RUST_VERSION
+for TRAVIS_RUST_VERSION in 1.15.0 1.22.0 1.26.0 stable beta nightly; do
+ run="rustup run $TRAVIS_RUST_VERSION"
+ $run cargo build --verbose
+ $run $PWD/ci/test_full.sh
+done